XAMPP 1.7.3 vs. 1.7.4

Problems with the Windows version of XAMPP, questions, comments, and anything related.

XAMPP 1.7.3 vs. 1.7.4

Postby drrobi » 10. February 2011 00:19

Hello,

I've just jumped the bandwagon by upgrading to 1.7.4 but i have more reasons to be sad than happy.
Seems like a lot of stuff that was working just fine in 173 is not working anymore. And i couldnt find a file explaining what exactly changed between these version (other than some version upgrade).

I'll mention a few issues:
1. Every time i start the control panel i get this error (on Windows 7 64 bit):
XAMPP Component Status Check failure[3]. Current directory C:\XAMPP. Run this program only from your XAMPP root directory.
2. Tomcat requires the installation of JDK. However, even after a proper installation, some webapps are not properly deployed. For example i use the WAR files of the Sesame project, one of them being called openrdf-sesame.war. After i copy the war file and restart Tomcat, when i want to access it using localhost:8080/openrdf-sesame, i get an error that says The requested resource () is not available. It worked just fine on XAMPP 173.
3. Maybe the most annoying thing is that a lot of extensions disappeared or are still existing but not working. For example:
- in XAMPP 173, php.ini has about 45 extensions, in 174 only 37
- i tried to install Moodle, which requires the Openssl and Intl extensions; after adding them (while on older versions i just uncommented them), i got a couple of errors saying that it couldnt find the php_intl.dll and icuuc36.dll. The strange thing is that these files actually exist and are correctly placed (in the xampp\php and xampp\php\ext folders)!

So, before switching back to an older version, is there any resource where i can find what exactly was changed between these two versions, what was dropped and what was added (and why dlls are not found even if they are properly located)?

Thanks,
Robi
drrobi
 
Posts: 2
Joined: 09. February 2011 23:58

Re: XAMPP 1.7.3 vs. 1.7.4

Postby thecrazykaktus » 10. February 2011 11:11

I have the same Probleme after installation XAMPP 1.7.4. I think thats a bug because 1.7.3 works fine!
I installed 1.7.4 in different folders but nothing works!
thecrazykaktus
 
Posts: 3
Joined: 09. February 2011 15:10

Re: XAMPP 1.7.3 vs. 1.7.4

Postby kho » 14. February 2011 16:58

You will be able to by pass the error of 'Component Status Check failure [3]' by installing the package via the zipped file instead of the installer. This works for me on 64 bit Windows 7.
kho
 
Posts: 2
Joined: 14. February 2011 16:52

Re: XAMPP 1.7.3 vs. 1.7.4

Postby jmf » 21. February 2011 22:18

Hi,
for me it was sufficient to add a slash to this line in the php.ini:

extension_dir = "\xampp\php\ext\

I did not get the error-messages again.

Hope this helps.
jmf
 
Posts: 1
Joined: 21. February 2011 22:14

Re: XAMPP 1.7.3 vs. 1.7.4

Postby memyselfandi » 28. February 2011 21:22

I found a post that said 1.7.4 doesn't work w/ joomla 1.5. The folks at joomla suggest NOT using v1.6.
Had to uninstall everything, (had 1.7.3 previously). reinstalled xampp but using 1.7.4. errors after installing joomla 1.5.
Now I can't find xampp 1.7.3.
Where can I download from?
memyselfandi
 
Posts: 2
Joined: 28. February 2011 21:18

Re: XAMPP 1.7.3 vs. 1.7.4

Postby WilliL » 28. February 2011 21:54

if google or forum search doesn't worktry this link :wink:
http://sourceforge.net/projects/xampp/files/XAMPP%20Windows/
Willi
WilliL
 
Posts: 661
Joined: 08. January 2010 10:54
Operating System: Win7Home Prem 64 SP1

Re: XAMPP 1.7.3 vs. 1.7.4

Postby memyselfandi » 01. March 2011 02:17

Thanks, google returned some sites but they didn't seem credible. Guess none of them really are. Wonder way xampp doesn't make older versions available directly.
Anyway, this xampp 1.7.3 comes w/ php version 5.3.1, which of course doesn't play nice w/ joomla. Is there a copy of xampp 1.7.3 w/ php 5.2 or how would I go about replacing the php version?
:?
memyselfandi
 
Posts: 2
Joined: 28. February 2011 21:18

Re: XAMPP 1.7.3 vs. 1.7.4

Postby Sharley » 01. March 2011 02:25

Not an easy task to change PHP versions within an XAMPP release if at all possible.

The last version that includes the PHP version you require is 1.7.1
readme_en.txt file from 1.7.1 wrote: + Apache 2.2.11
+ MySQL 5.1.33 (Community Server)
+ PHP 5.2.9 + PEAR (Support for PHP 4 has been discontinued)
+ XAMPP Control Version 2.5 from http://www.nat32.com
+ XAMPP CLI Bundle 1.3 from Carsten Wiedmann
+ XAMPP Security 1.0
+ SQLite 2.8.15
+ OpenSSL 0.9.8i
+ phpMyAdmin 3.1.3.1
+ ADOdb 5.06a
+ Mercury Mail Transport System v4.62
+ FileZilla FTP Server 0.9.31
+ Webalizer 2.01-10
+ Zend Optimizer 3.3.0
+ eAccelerator 0.9.5.3 für PHP 5.2.9 (but not activated in the php.ini)
The link for this version and all current and previous versions are available directly in the link WilliL provided in his post above and from a link in the XAMPP for Windows Home Page at the top of the page.

Good luck.
User avatar
Sharley
AF Moderator
 
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
Operating System: Win 7 Pro 32bit/XP Pro SP3

Re: XAMPP 1.7.3 vs. 1.7.4

Postby Blackmac » 01. March 2011 02:43

Hi!
I'm havin' some issues in Win 7 and XAMPP 1.7.4
I'm tryin' to install Joomla 1.5.22 with XAMPP 1.7.4 but in the database section of the joomla installation Joomla can't connect to de database... allways..
I'm gonna try 1.7.3 version! :idea:

Thanks for the link and the answer!!!
:mrgreen:
Blackmac
 
Posts: 1
Joined: 01. March 2011 02:39

Re: XAMPP 1.7.3 vs. 1.7.4

Postby arturas » 04. March 2011 09:38

MOODLE intl.dll xampp 1.7.4
http://tecnologia-internet-y-formacion. ... on-de.html
PHP.INI add:
extension=php_openssl.dll
extension=php_intl.dll


Copy 5 libaarty files icuu*36.dll source U.\xampp\php (leave old files) to U:/xampp/apache/bin, enjoy it works :)
Have fun!
arturas
 
Posts: 4
Joined: 03. February 2011 09:52


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 84 guests